commit:     100ba517deea520fe6893cd1bd053079534dcfba
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 23 19:58:27 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Feb 23 20:18:05 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=100ba517

dev-python/pyproject-fmt: Bump to 2.16.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyproject-fmt/Manifest                  |   4 +
 .../pyproject-fmt/pyproject-fmt-2.16.2.ebuild      | 101 +++++++++++++++++++++
 2 files changed, 105 insertions(+)

diff --git a/dev-python/pyproject-fmt/Manifest 
b/dev-python/pyproject-fmt/Manifest
index 7763ed3d2006..494626189639 100644
--- a/dev-python/pyproject-fmt/Manifest
+++ b/dev-python/pyproject-fmt/Manifest
@@ -59,6 +59,8 @@ DIST pyproject_fmt-2.16.0.tar.gz 138399 BLAKE2B 
0d2207c0806d86cd9c1d5a7b1956b272
 DIST pyproject_fmt-2.16.0.tar.gz.provenance 9648 BLAKE2B 
37348ac2609d5f031426f15ec9d67e7b627b3c1861a1c390b0ea6e3aa2f16a8291e57fa29ff9c51380dab7ec913c7ae1741e9cc258a8bd70b30bbd9f228ac0f0
 SHA512 
fd3d2870a390196ce66a9709e9a8b877b4fab37dc56bf145ca3015366d64a6e24b0a7442901fff142828a26c1cc1a3eba23aa3ad3989ed0ff573185cd54f9026
 DIST pyproject_fmt-2.16.1.tar.gz 138536 BLAKE2B 
0280f688b30d13bbd9bc82fc226be4ae15988ad7a9e7f0cc5bd8dcd145d1c6ba73dc2795ff34ab72cd44dd92afa52ddfe25c398fd36be0673141597bd3a16391
 SHA512 
81c28c16a26e8c19c8d8c8beda99e1191b37211f37fc85b3b9940088c264f02e146df3393bc6db6569c2faecc54ae1861e3e0ff3890e9a24afbe06dc67ecaad5
 DIST pyproject_fmt-2.16.1.tar.gz.provenance 9370 BLAKE2B 
04acb762042b67424c12d669f8337d216538665845b747488260e35ab9d75227810235727242a4d6133956136b09f8d0dcda140ddd81a38d6492b337844a1e22
 SHA512 
9bb99c5ba04f987c892102364e17a766a10ba9d51d92fc68bf8106a77d964274b3c45034ca7e314889c98db226f742da1c78305d6d5e8f50f62b3dce724f421e
+DIST pyproject_fmt-2.16.2.tar.gz 139582 BLAKE2B 
caa5ad60008574ebb910b8c0f4e5923c5edbd366db3c8a26a0054386cce0be508808d712fa6938580c636c86d03b25e860c072714b3039c7cfe5a2c51f9c3412
 SHA512 
fb56745873bc61b2bd4504fc465426404a0b0450fa97e96c0051813abf9944807cf38f493d7be99578727e407af6b3254a202952ca7d72fd4a452f5758f2eaca
+DIST pyproject_fmt-2.16.2.tar.gz.provenance 9789 BLAKE2B 
ee1f2122553f90bd9ba59ede9d2602118e4e92d3c6dddbdfa709f45bf1367f132be9098434358f28d3d4f4f5b4923f924bedae85bec567d58eac3bbb9fb4db28
 SHA512 
038e1a23dd6df293d938baba758744dc88c4694991cffe9484692a0601572250c3ada159bd544d167661a79e3efc994817ebcd2a0fb54f1de5eeffb9b02480a1
 DIST quote-1.0.40.crate 31063 BLAKE2B 
09036ff3e5ebbd775c466bb936de91d4c070481eb4b98c62a4cddcda57cd7b67d63f979b321f6ec64aabee3f5da6c28e7a3efb83f4647768ba578f1bd0bd0bdb
 SHA512 
45a76e22a2b0bec47e4ba73c3b73cc41d821dfcce9876134c5d8eed514da214aee4ce7612e372c8709f888c0d8b9b7e5442f27adb7a59f3571f0339ed7e2ac99
 DIST r-efi-5.2.0.crate 64764 BLAKE2B 
ee17fae983b2c39137cb75698062a3bf8edb4bc680b04900797730618b54298e2f1d13ceab6b660f7a1799f6fc4113ca15d4320b1b95fc42913e0930f3aa16f8
 SHA512 
80f89d467b482297ec2c13cb0dc8e310442495483e25c33bb523f1cb66d6ce01fee4a57b36880a4f51c0e9f20eb3f993a5bc0a13224d52693dbc81b97c630158
 DIST regex-1.11.1.crate 254170 BLAKE2B 
5cf41012fc2ba8a006c0eb4a922cbbf1614bf300be361c9e2d98956a9a5e9b140e37bea09132fab7bfb633d4439158723624bcf45e8c619c4061b399253c1b82
 SHA512 
d065f6dc405771518260425f39a5eaaf8cab62e78c91ceed3b3994a9a121674d2484cadaaf816bdad89c87a40550d57b66a3d9de6618a7119a658301ce7e67d8
@@ -94,10 +96,12 @@ DIST time-macros-0.2.22.crate 24604 BLAKE2B 
a511923e4c8d790ed422e4635244796154b6
 DIST tombi-3fcad11ce971ccaba35976420175c676d961f0a2.gh.tar.gz 10332838 BLAKE2B 
a19706b7aa47efa1d3008501d0b7c4603ca4ddfc9b224fb6e5b07a5701896ebb63bc0bf249d02c511091547fa1f351826532cd913eae7e511d86bd9bded27dfc
 SHA512 
93fb87148a83e08c656ddf5bbfe33d3a7fcc6852cc1f20cb0ec30bd65c75ddb81fe27121ebd671cfa4793141dd92178420c2c9dced1ad70510cc47aeb6eb07e9
 DIST tombi-73d0800f0cf60e04fea74992d7abb6fcac435749.gh.tar.gz 10358630 BLAKE2B 
b71e4b99b74341e21539310bcfa7859cafc5e37a92ecc09b7772a12fcdb0ea21650313deaa37de42bbfbc5dc814092d09a4544113432a623fd96387488a5dd9d
 SHA512 
268cb8ce9f09e727e59a108e8c233bf97abaea4b5472dcfd66f9b9d9c77dcab3ad1479665b47b2ccb9a4dc02f0cc1821673bd71b9e39d97d106be7c130d6b6ba
 DIST tombi-749df5d762ec02cc6d960f37dbaeaf060ebaf1d5.gh.tar.gz 10358474 BLAKE2B 
8be3c90eafd12905f2104ca937e239b30f0c8e3c5cd124e401412c70755daea06f09d7e794f4d6910c6065fdc37c4ab5c3500e3594a9fc747669ace95f8f3a81
 SHA512 
5b8be960e387af08af4d381958dce6e71319f8022093c2279281e5449e5737d0c6843c1a5b7568076d4f72d86bc06021a5cc8b221af90adc95100c96388eda05
+DIST tombi-debd1c7788764bb36a731c609b88d4a7ad168463.gh.tar.gz 10362046 BLAKE2B 
a4958db6cfb0f0db68a7d20363afd5568c53397871fae9892addef2ef5560ae890ba7f862d682b1224ff3de2eb68d11146e5e6eccfa7b48df031ad7d68b034c7
 SHA512 
1b656af5fa978dcbc88407d156ceb20f2c18924c8954f409a084f78864b045b581ca57f897a5a0b167fbe55a0afdd6d3c1e2595be1a3228e49a0ecb89c7b8b26
 DIST toml-fmt-pyproject-fmt-2.14.1-crates.tar.xz 17945184 BLAKE2B 
8e8e9b9713aaac87efcc128f194217c0f662e947d6011d675fe789594ca689ed947f71999a1f2e59ae7afb59cdbb76be1bb96a2a1f54c8a917115ef0a1ef088b
 SHA512 
7d4eec57f8f1733bdbb86fa75ef198a45f9c56e93feff96c3e12c7747f637ffacd55a71f999ec3b34a48ee08e8772e5f858d56bd243b8a003861d504f2edcb8b
 DIST toml-fmt-pyproject-fmt-2.15.3-crates.tar.xz 18703880 BLAKE2B 
49ba7c43f6585b05248632fd96db4db96960930c2190f16008bb2a2490ea334f345623ebb29d9f827bbc41400239652d4e37092e494eb01a8f989c4b183ca0ae
 SHA512 
77ba1a5cdefaadf643601867b5ed4be7c0879831fba67cf579d71d68ec71cbc3c765ae4e0103b93f5170c69f0fdc4e7c6f166e2fe53a38bff70d4f899b817263
 DIST toml-fmt-pyproject-fmt-2.16.0-crates.tar.xz 18679884 BLAKE2B 
737736f64dae80d5fc04307d1556b9570fae25bf5053934963ab69355e1c0ad754295b767a5c64ca4367287e8154bfbecbafc09d77eaa62adca936b5d5d6e9e1
 SHA512 
a03014d241bf262455ba9f1e0517caf69c587b079c2647f667204879cc69ea05c4409ae1be38ff89b9033a43d22963c69fcecb6e6b0c5cf85c6004c4bb6c438b
 DIST toml-fmt-pyproject-fmt-2.16.1-crates.tar.xz 18688740 BLAKE2B 
a6ff8d9468778de9bdccc48149c48c71c29e3905e73be923e065594f5569ac1303eb883ed225e967c8757a5883318934aec8b15a8f4790bd83727b2d30cb00d4
 SHA512 
452d401737a78ce1286b179d2b6126ae096017139b2ed18e9661edad8ac232c983ae9417f371e116581552edd61c8c1f5d16e31b6d08fc097ade9eddfb9cc51c
+DIST toml-fmt-pyproject-fmt-2.16.2-crates.tar.xz 18771972 BLAKE2B 
e71da5e3586cb0dec8e9d3c106c287a6b84aa0dd585fe7f22e503490df660b5e0be18f4c269075a04274983bd0c13d52c9902092bb0c7a9a8316c9aa5a786f89
 SHA512 
6ab3f9259b3ec2a92ddd614640a1801bec08bfdff9e3b3ef8a5b52d7de39a7a132ff559f2eaa223b05a1c3971ef25c995043e60fde51e2af5708fe23fe988654
 DIST toml_datetime-0.6.9.crate 12622 BLAKE2B 
0362fbee2359fb7388bd679ccf114e554234294437dd3aa26b0e969aadd0e0fb76ad89eb33e0c4a2b50883764f64708fad2e265562feba13688fdd07623e18af
 SHA512 
8409a902d7f6c22a8837cb71fd0e4fbb40b34c1608c3e858f4f5268c34948b94e9f9dae9e6f3ba73c78e3db14754fcec0b22081160acb228ae366aeafaaead9c
 DIST toml_edit-0.22.26.crate 121714 BLAKE2B 
c1e39ec75d3d34e038d7a7e3af4d74b1a53010ed2d837a3643f08e459231ec7f15c149910dbc5294187601e342b0ba03fa8129dbc879b326841a32513ed7fdd2
 SHA512 
8cad3472f790e3423dadb34da76f77fd122721daa1c855a749699ac0af8e39c2453ed47369b14e8603204acb896a966ea98857118003a5d75cc48ca5e28ecff7
 DIST tracing-0.1.41.crate 82448 BLAKE2B 
c056d938e001654e03efaec7a11eb8ecfbdfe9af2099271fcefa43f4f4683b40c59f7111fdf7f27df4da38bcbe94f1b2ac0abb6ec3d6e6a0d165b9fbb14da3a3
 SHA512 
dffb8d3a1375f1b9d5418550a46cb7b1d92b2cc8ffbccb430a38f7731547960775bb42798074186711847d256eee30fb3e74078b69cb36f28c07d9f231dbf96c

diff --git a/dev-python/pyproject-fmt/pyproject-fmt-2.16.2.ebuild 
b/dev-python/pyproject-fmt/pyproject-fmt-2.16.2.ebuild
new file mode 100644
index 000000000000..005d80d71c07
--- /dev/null
+++ b/dev-python/pyproject-fmt/pyproject-fmt-2.16.2.ebuild
@@ -0,0 +1,101 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYPI_VERIFY_REPO=https://github.com/tox-dev/toml-fmt
+PYTHON_COMPAT=( python3_{11..14} )
+
+RUST_MIN_VER="1.87.0"
+CRATES="
+"
+
+declare -A GIT_CRATES=(
+       
[tombi-accessor]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-accessor'
+       
[tombi-ast-editor]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-ast-editor'
+       
[tombi-ast]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-ast'
+       
[tombi-cache]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-cache'
+       
[tombi-comment-directive-serde]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-comment-directive-serde'
+       
[tombi-comment-directive-store]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-comment-directive-store'
+       
[tombi-comment-directive]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-comment-directive'
+       
[tombi-config]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-config'
+       
[tombi-date-time]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-date-time'
+       
[tombi-diagnostic]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-diagnostic'
+       
[tombi-document-tree]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-document-tree'
+       
[tombi-document]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-document'
+       
[tombi-formatter]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-formatter'
+       
[tombi-future]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-future'
+       
[tombi-json-lexer]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-json-lexer'
+       
[tombi-json-syntax]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-json-syntax'
+       
[tombi-json-value]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-json-value'
+       
[tombi-json]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-json'
+       
[tombi-lexer]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-lexer'
+       
[tombi-parser]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-parser'
+       
[tombi-regex]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-regex'
+       
[tombi-rg-tree]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-rg-tree'
+       
[tombi-schema-store]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-schema-store'
+       
[tombi-severity-level]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-severity-level'
+       
[tombi-syntax]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-syntax'
+       
[tombi-text]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-text'
+       
[tombi-toml-text]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-toml-text'
+       
[tombi-toml-version]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-toml-version'
+       
[tombi-uri]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-uri'
+       
[tombi-validator]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-validator'
+       
[tombi-version-sort]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-version-sort'
+       
[tombi-x-keyword]='https://github.com/tombi-toml/tombi;debd1c7788764bb36a731c609b88d4a7ad168463;tombi-%commit%/crates/tombi-x-keyword'
+)
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Format your pyproject.toml file"
+HOMEPAGE="
+       https://github.com/tox-dev/toml-fmt/
+       https://pypi.org/project/pyproject-fmt/
+"
+SRC_URI+="
+       ${CARGO_CRATE_URIS}
+       
https://github.com/gentoo-crate-dist/toml-fmt/releases/download/pyproject-fmt%2F${PV}/toml-fmt-${P}-crates.tar.xz
+"
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD ISC MIT MPL-2.0
+       Unicode-3.0 ZLIB
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+       ~dev-python/toml-fmt-common-1.2.0[${PYTHON_USEDEP}]
+"
+# tox is called as a subprocess, to get targets from tox.ini
+BDEPEND="
+       test? (
+               dev-python/tox
+       )
+"
+
+EPYTEST_PLUGINS=( pytest-mock )
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib/py.*/site-packages/pyproject_fmt/_lib.*.so"
+
+src_unpack() {
+       pypi_src_unpack
+       cargo_src_unpack
+}
+
+src_prepare() {
+       distutils-r1_src_prepare
+       sed -i -e '/strip/d' pyproject.toml || die
+}
+
+python_test_all() {
+       # default features cause linking errors because they make pyo3
+       # wrongly assume it's compiling a Python extension
+       # https://github.com/tox-dev/toml-fmt/issues/23
+       cargo_src_test --no-default-features
+}

Reply via email to